Update pfSense from the command line

By | 2016/07/27

pfSense is awesome open source router software based on FreeBSD. It features a nice web interface to do any tasks!

While the main way to administer and upgrade pfSense is via the web interface, one can also upgrade via command line. Check it out!


1. First, ssh into your pfsense box.


2. Next, To apply pending security updates, run the following command:

$ sudo pfSense-upgrade -d


Below is an example complete output. Note that the pfsense box will reboot automatically.

[2.3.1-RELEASE][user@example.com]/home/user: sudo pfSense-upgrade -d
Password:
>>> Updating repositories metadata... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
>>> Upgrading pfSense-repo... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
The following 1 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
        pfSense-repo: 2.3.1_5 -> 2.3.2 [pfSense-core]

Number of packages to be upgraded: 1

2 KiB to be downloaded.
Fetching pfSense-repo-2.3.2.txz: . done
Checking integrity... done (0 conflicting)
[1/1] Upgrading pfSense-repo from 2.3.1_5 to 2.3.2...
[1/1] Extracting pfSense-repo-2.3.2: ....... done
>>> Updating repositories metadata... 
Updating pfSense-core repository catalogue...
Repository pfSense-core has a wrong packagesite, need to re-create database
Fetching meta.txz: . done
Fetching packagesite.txz: . done
Processing entries: . done
pfSense-core repository update completed. 9 packages processed.
Updating pfSense repository catalogue...
Repository pfSense has a wrong packagesite, need to re-create database
Fetching meta.txz: . done
Fetching packagesite.txz: .......... done
Processing entries: .......... done
pfSense repository update completed. 405 packages processed.
>>> Unlocking package pfSense-kernel-pfSense... 
Unlocking pfSense-kernel-pfSense-2.3.1_5
The following 68 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        dnsmasq: 2.76,1 [pfSense]

Installed packages to be UPGRADED:
        xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
        unbound: 1.5.8 -> 1.5.9 [pfSense]
        sudo: 1.8.16 -> 1.8.17p1 [pfSense]
        strongswan: 5.4.0 -> 5.5.0 [pfSense]
        sqlite3: 3.11.1 -> 3.13.0 [pfSense]
        smartmontools: 6.4_2 -> 6.5_1 [pfSense]
        rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
        relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
        python27: 2.7.11_2 -> 2.7.12 [pfSense]
        php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
        php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
        php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
        php56-xml: 5.6.22 -> 5.6.23 [pfSense]
        php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
        php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
        php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
        php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
        php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
        php56-session: 5.6.22 -> 5.6.23 [pfSense]
        php56-readline: 5.6.22 -> 5.6.23 [pfSense]
        php56-posix: 5.6.22 -> 5.6.23 [pfSense]
        php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
        php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
        php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
        php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
        php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
        php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
        php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
        php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
        php56-json: 5.6.22 -> 5.6.23 [pfSense]
        php56-hash: 5.6.22 -> 5.6.23 [pfSense]
        php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
        php56-filter: 5.6.22 -> 5.6.23 [pfSense]
        php56-dom: 5.6.22 -> 5.6.23 [pfSense]
        php56-curl: 5.6.22 -> 5.6.23 [pfSense]
        php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
        php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
        php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
        php56: 5.6.22 -> 5.6.23 [pfSense]
        php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
        pfSense-rc: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-kernel-pfSense: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-default-config: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-base: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
        pfSense: 2.3.1_5 -> 2.3.2 [pfSense]
        perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
        pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
        pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
        pcre: 8.38_1 -> 8.39 [pfSense]
        p7zip: 15.14 -> 15.14_1 [pfSense]
        nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
        libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
        libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
        isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
        isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
        isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
        ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
        gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
        filterlog: 0.1_2 -> 0.1_4 [pfSense]
        expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
        curl: 7.48.0_1 -> 7.49.1 [pfSense]
        ca_root_nss: 3.22.2 -> 3.25 [pfSense]
        bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]

Number of packages to be installed: 1
Number of packages to be upgraded: 67

The process will require 2 MiB more space.
80 MiB to be downloaded.

**** WARNING ****
Reboot will be required!!
Proceed with upgrade? (y/N) y
>>> Downloading upgrade packages... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
Checking for upgrades (67 candidates): .......... done
Processing candidates (67 candidates): .......... done
The following 68 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        dnsmasq: 2.76,1 [pfSense]

Installed packages to be UPGRADED:
        xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
        unbound: 1.5.8 -> 1.5.9 [pfSense]
        sudo: 1.8.16 -> 1.8.17p1 [pfSense]
        strongswan: 5.4.0 -> 5.5.0 [pfSense]
        sqlite3: 3.11.1 -> 3.13.0 [pfSense]
        smartmontools: 6.4_2 -> 6.5_1 [pfSense]
        rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
        relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
        python27: 2.7.11_2 -> 2.7.12 [pfSense]
        php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
        php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
        php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
        php56-xml: 5.6.22 -> 5.6.23 [pfSense]
        php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
        php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
        php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
        php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
        php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
        php56-session: 5.6.22 -> 5.6.23 [pfSense]
        php56-readline: 5.6.22 -> 5.6.23 [pfSense]
        php56-posix: 5.6.22 -> 5.6.23 [pfSense]
        php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
        php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
        php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
        php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
        php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
        php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
        php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
        php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
        php56-json: 5.6.22 -> 5.6.23 [pfSense]
        php56-hash: 5.6.22 -> 5.6.23 [pfSense]
        php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
        php56-filter: 5.6.22 -> 5.6.23 [pfSense]
        php56-dom: 5.6.22 -> 5.6.23 [pfSense]
        php56-curl: 5.6.22 -> 5.6.23 [pfSense]
        php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
        php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
        php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
        php56: 5.6.22 -> 5.6.23 [pfSense]
        php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
        pfSense-rc: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-kernel-pfSense: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-default-config: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-base: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
        pfSense: 2.3.1_5 -> 2.3.2 [pfSense]
        perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
        pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
        pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
        pcre: 8.38_1 -> 8.39 [pfSense]
        p7zip: 15.14 -> 15.14_1 [pfSense]
        nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
        libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
        libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
        isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
        isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
        isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
        ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
        gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
        filterlog: 0.1_2 -> 0.1_4 [pfSense]
        expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
        curl: 7.48.0_1 -> 7.49.1 [pfSense]
        ca_root_nss: 3.22.2 -> 3.25 [pfSense]
        bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]

Number of packages to be installed: 1
Number of packages to be upgraded: 67

The process will require 2 MiB more space.
80 MiB to be downloaded.
Fetching xinetd-2.3.15_2.txz: ........ done
Fetching unbound-1.5.9.txz: .......... done
Fetching sudo-1.8.17p1.txz: .......... done
Fetching strongswan-5.5.0.txz: .......... done
Fetching sqlite3-3.13.0.txz: .......... done
Fetching smartmontools-6.5_1.txz: .......... done
Fetching rrdtool-1.6.0_1.txz: .......... done
Fetching relayd-5.5.20140810_2.txz: .......... done
Fetching python27-2.7.12.txz: .......... done
Fetching php56-zlib-5.6.23.txz: .. done
Fetching php56-xmlwriter-5.6.23.txz: .. done
Fetching php56-xmlreader-5.6.23.txz: .. done
Fetching php56-xml-5.6.23.txz: .. done
Fetching php56-tokenizer-5.6.23.txz: . done
Fetching php56-sysvshm-5.6.23.txz: . done
Fetching php56-sysvsem-5.6.23.txz: . done
Fetching php56-sysvmsg-5.6.23.txz: . done
Fetching php56-sqlite3-5.6.23.txz: .. done
Fetching php56-sockets-5.6.23.txz: .... done
Fetching php56-simplexml-5.6.23.txz: ... done
Fetching php56-shmop-5.6.23.txz: . done
Fetching php56-session-5.6.23.txz: .... done
Fetching php56-readline-5.6.23.txz: .. done
Fetching php56-posix-5.6.23.txz: .. done
Fetching php56-pdo_sqlite-5.6.23.txz: .. done
Fetching php56-pdo-5.6.23.txz: ..... done
Fetching php56-pcntl-5.6.23.txz: .. done
Fetching php56-openssl-5.6.23.txz: ..... done
Fetching php56-opcache-5.6.23_1.txz: ....... done
Fetching php56-mcrypt-5.6.23.txz: .. done
Fetching php56-mbstring-5.6.23.txz: .......... done
Fetching php56-ldap-5.6.23.txz: ... done
Fetching php56-json-5.6.23.txz: .. done
Fetching php56-hash-5.6.23.txz: .......... done
Fetching php56-gettext-5.6.23.txz: . done
Fetching php56-filter-5.6.23.txz: .. done
Fetching php56-dom-5.6.23.txz: ...... done
Fetching php56-curl-5.6.23.txz: ... done
Fetching php56-ctype-5.6.23.txz: . done
Fetching php56-bz2-5.6.23.txz: .. done
Fetching php56-bcmath-5.6.23.txz: .. done
Fetching php56-5.6.23.txz: .......... done
Fetching php-xdebug-2.4.0.txz: .......... done
Fetching pfSense-rc-2.3.2.txz: . done
Fetching pfSense-kernel-pfSense-2.3.2.txz: .......... done
Fetching pfSense-default-config-2.3.2.txz: . done
Fetching pfSense-base-2.3.2.txz: .......... done
Fetching pfSense-Status_Monitoring-1.4.4_2.txz: .. done
Fetching pfSense-2.3.2.txz: . done
Fetching perl5-5.20.3_13.txz: .......... done
Fetching pecl-rrd-1.1.3_3.txz: .. done
Fetching pecl-radius-1.3.0.txz: ... done
Fetching pcre-8.39.txz: .......... done
Fetching p7zip-15.14_1.txz: .......... done
Fetching nginx-1.10.1,2.txz: .......... done
Fetching libssh2-1.7.0,2.txz: .......... done
Fetching libedit-3.1.20150325_2,1.txz: .......... done
Fetching isc-dhcp43-server-4.3.4.txz: .......... done
Fetching isc-dhcp43-relay-4.3.4_1.txz: .......... done
Fetching isc-dhcp43-client-4.3.4.txz: .......... done
Fetching ipmitool-1.8.17_1.txz: .......... done
Fetching gettext-runtime-0.19.8.1.txz: .......... done
Fetching filterlog-0.1_4.txz: . done
Fetching expat-2.1.1_2.txz: .......... done
Fetching curl-7.49.1.txz: .......... done
Fetching ca_root_nss-3.25.txz: .......... done
Fetching bind-tools-9.10.4P2.txz: .......... done
Fetching dnsmasq-2.76,1.txz: .......... done
Checking integrity... done (1 conflicting)
  - dnsmasq-2.76,1 [pfSense] conflicts with dnsmasq-devel-2.76.0test12 [installed] on /usr/local/sbin/dnsmasq
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 69 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
        dnsmasq-devel-2.76.0test12

New packages to be INSTALLED:
        dnsmasq: 2.76,1 [pfSense]

Installed packages to be UPGRADED:
        gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
        python27: 2.7.11_2 -> 2.7.12 [pfSense]
        perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
        pcre: 8.38_1 -> 8.39 [pfSense]
        expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
        ca_root_nss: 3.22.2 -> 3.25 [pfSense]
        unbound: 1.5.8 -> 1.5.9 [pfSense]
        rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
        php56: 5.6.22 -> 5.6.23 [pfSense]
        curl: 7.48.0_1 -> 7.49.1 [pfSense]
        strongswan: 5.4.0 -> 5.5.0 [pfSense]
        sqlite3: 3.11.1 -> 3.13.0 [pfSense]
        php56-session: 5.6.22 -> 5.6.23 [pfSense]
        php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
        php56-dom: 5.6.22 -> 5.6.23 [pfSense]
        pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
        libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
        libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
        xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
        smartmontools: 6.4_2 -> 6.5_1 [pfSense]
        relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
        php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
        php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
        php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
        php56-xml: 5.6.22 -> 5.6.23 [pfSense]
        php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
        php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
        php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
        php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
        php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
        php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
        php56-readline: 5.6.22 -> 5.6.23 [pfSense]
        php56-posix: 5.6.22 -> 5.6.23 [pfSense]
        php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
        php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
        php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
        php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
        php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
        php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
        php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
        php56-json: 5.6.22 -> 5.6.23 [pfSense]
        php56-hash: 5.6.22 -> 5.6.23 [pfSense]
        php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
        php56-filter: 5.6.22 -> 5.6.23 [pfSense]
        php56-curl: 5.6.22 -> 5.6.23 [pfSense]
        php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
        php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
        php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
        php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
        pfSense-rc: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
        pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
        nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
        isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
        isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
        isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
        ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
        filterlog: 0.1_2 -> 0.1_4 [pfSense]
        bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]
        sudo: 1.8.16 -> 1.8.17p1 [pfSense]
        pfSense-kernel-pfSense: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-default-config: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-base: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense: 2.3.1_5 -> 2.3.2 [pfSense]
        p7zip: 15.14 -> 15.14_1 [pfSense]

Number of packages to be removed: 1
Number of packages to be installed: 1
Number of packages to be upgraded: 67

The process will require 2 MiB more space.
>>> Upgrading pfSense kernel... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
Checking integrity... done (0 conflicting)
The following 2 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
        pfSense-kernel-pfSense: 2.3.1_5 -> 2.3.2 [pfSense-core]
        pfSense-rc: 2.3.1_5 -> 2.3.2 [pfSense-core]

Number of packages to be upgraded: 2
[1/2] Upgrading pfSense-rc from 2.3.1_5 to 2.3.2...
[1/2] Extracting pfSense-rc-2.3.2: .... done
[2/2] Upgrading pfSense-kernel-pfSense from 2.3.1_5 to 2.3.2...
[2/2] Extracting pfSense-kernel-pfSense-2.3.2: .......... done
===> Keeping a copy of current kernel in /boot/kernel.old
Upgrade is complete.  Rebooting in 10 seconds.
                                                                               
Broadcast Message from user@example                              
        (/dev/pts/0) at 20:27 EDT...                                           
                                                                               
Upgrade is complete.  Rebooting in 10 seconds.                                 
                                                                               
>>> Locking package pfSense-kernel-pfSense... 
Locking pfSense-kernel-pfSense-2.3.2
[2.3.1-RELEASE][user@example.com]/home/user: Shutdown NOW!
shutdown: [pid 86530]
                                                                               
*** FINAL System shutdown message from user@example.com ***        

System going down IMMEDIATELY                                                  

                                                                               

System shutdown time has arrived
Connection to example.com closed by remote host.
Connection to example.com closed.



Rock on,

4 thoughts on “Update pfSense from the command line

  1. subin

    please help me, i would like to enable pdo and json on pfsense
    but i cannot to fixed,

    jasubin

    Reply

Leave a Reply

Your email address will not be published. Required fields are marked *

Notify me of followup comments via e-mail. You can also subscribe without commenting.